subset.met {oce} | R Documentation

## Subset a met object

### Description

Subset a met object

### Usage

    ## S4 method for signature 'met'
    subset(x, subset, ...)

### Arguments

`x` | a `met` object.
`subset` | a condition to be applied to the `data` portion of `x`. See ‘Details’.
`...` | ignored.

### Details

This function is somewhat analogous to `subset.data.frame`. Subsetting can be by `time` or `distance`, but these may not be combined; use a sequence of calls to subset by both.

### Value

A new `met` object.

### Author(s)

Dan Kelley

### Examples

    library(oce)
    data(met)
    # Few days surrounding Hurricane Juan
    plot(subset(met, time > as.POSIXct("2003-09-27", tz="UTC")))

[Package oce version 0.9-18 Index]